\version "2.16.2"

\include "mydefs.ly"

\header {
  tagline = \markup { \fontsize #1 "February 1, 2013, in Wuhan" }
  title = \markup { \fontsize #3 "Variation On \"Twinkle Twinkle Little Star\"" }
  subtitle = \markup { \fontsize #1 "Back To Ancient China" }
  composer = \markup { \fontsize #2 \bold "Hu Haipeng" }
  copyright = \markup { \center-column  { \line { "Copyright" \char ##x00A9 "2013 by Hu Haipeng." } "All Rights Reserved." } }
}

  upper = \relative c'' {
    \clef treble \key c \minor \numericTimeSignature \time 2/2
    \showStaffSwitch
    \tempo \andante 4=84
    \partial 4 { d4(\trill | }
    c2.) f4(\trill | ees4. c8 ees4 f) |
    << { a8(\trill g4. ~ g2) | s4. } \\
      { s4 \stl \times 4/6 { g,,,16( bes d f g \str bes } \times 4/6 { d f g \stl g, bes d } \times 4/5 { f g \str bes d f } |
    g4.) } >> a8( g8. a16 g8 f | ees4.) c8( f8. g16 f8 ees |
    d8. ees16 d8 c bes a\trill g8 bes |
    \grace { ees16[ d] } c1) |
    << { g'1\trill | s4 } \\ { s4 \stl \times 4/6 { g,,,16( bes c ees f g } \times 4/7 { bes c ees f g, bes c } \clef treble \times 4/7 { ees f g bes c ees f } |
      \str g4) } >> \grace { f'16[ ees c bes] } g4 r \grace { ees'16([ c bes g] } f8 ees |
    d8. c16 d8 f <g d g,>)\arpeggio <f f,>( <g g,> <bes bes,> |
    <c g c,>4) <c c,>8( <g' g,> <f c f,>8. <g g,>16 <f f,>8 <ees ees,> |
    <d d,>8. <ees ees,>16 <d d,>8 <c c,> <bes bes> <a a,>\mordent <g g,>4) |
    d8(\trill c4. ~ c4) f4(\trill | ees4. c8 ees8. c16 ees8 f |
    \grace { bes16[ a] } g2.) c8( a |
    g4.) a8( g8. a16 g8 f | ees4.) c8( f8. g16 f8 ees |
    d8.^\rit ees16 d8 c bes c d4)\mordent |
    \grace { d16( } c1) |
    d'8\mordent c4. ~ c2\fermata \bar "|."
  }

  lower = \relative c' {
    \clef bass \key c \minor \numericTimeSignature \time 2/2
    \partial 4 { r4 | }
    <c ees f g>2\arpeggio c, |
    <bes' c ees g>4\arpeggio c bes f |
    <g bes c d>\arpeggio s2. |
    \clef treble  r2 <f' g bes d>\arpeggio |
    <ees g bes c>\arpeggio \clef bass <aes, c ees f>\arpeggio |
    <g bes d f>\arpeggio g,4 bes |
    c4( ees8 g bes c ees f) |
    <c ees f g>4\arpeggio s2. |
    \clef bass r4 g'8( c, f8. g16 f8 ees |
    d f d c bes a g f) |
    \times 4/6 { ees16( g bes c ees f } g4) <aes, c f>8(\arpeggio c ees f |
    <bes, d f g>4)\arpeggio d,8( f <g bes d>\arpeggio f g bes) |
    <c ees f g>4\arpeggio c,32( ees g bes \clef treble c ees g bes c2) |
    << { <bes, c ees g>1\arpeggio |
      <bes d f g>\arpeggio |
      <a c ees g>\arpeggio |
      <aes c ees f>\arpeggio } \\
      { c''2\rest <ees c bes g>\arpeggio |
      c\rest <g' f d bes>\arpeggio |
      c,\rest <g' f ees c>\arpeggio |
      c,\rest <f ees c aes>\arpeggio } >> |
    \clef bass <g,,, bes d f>2\arpeggio g, |
    \times 4/5 { c16( ees f g bes } \str \times 4/5 { c ees f g bes } c8) f g bes |
    \stl \clef treble <c, f g>1\arpeggio\fermata \bar "|."
  }

  dynamics = \relative c' {
    s4\mp |
    s1*6 | s1\< |
    s1*4\mf | s1\> |
    s1*5\mp | s1\> | s1\p\> | s1\pp |
  }

  #(set-global-staff-size 18)

  \score {
    \new PianoStaff <<
      \set PianoStaff.connectArpeggios = ##t
      \new Staff = "rh" \upper
      \new Dynamics = "dynamics" \dynamics
      \new Staff = "lh" { \lower }
    >>
    \layout { }
  }

  \score {
    \unfoldRepeats {
    \new PianoStaff <<
      \new Staff = "rh" { << \upper \dynamics >> }
      \new Staff = "lh" << \lower \dynamics >>
    >>
    }
    \midi { }
  }

